<?PHP
/**
 * Zhen Mailer
 *
 * @package SMF Zhen Mailer v1.3.4
 * @PHP Mailer version 6.03
 * @license https://www.gnu.org/licenses/lgpl.html
 */

if (!defined('SMF'))
	die('<b>Error:</b> Cannot install');

global $modSettings;
$version = version_compare((!empty($modSettings['smfVersion']) ? substr($modSettings['smfVersion'], 0, 3) : '2.0'), '2.1', '<') ? 'v2.0' : 'v2.1';
db_extend('packages');

// Add hooks
add_integration_function('integrate_pre_include', '$sourcedir/ZhenMailerHooks.php');
add_integration_function('integrate_actions', 'ZhenMailer_actions');
add_integration_function('integrate_admin_areas', 'ZhenMailer_admin_areas');
add_integration_function('integrate_load_theme', 'ZhenMailer_init');

if ($version === 'v2.1')
{
	add_integration_function('integrate_assign_attachments', 'ZhenMailer_attachments');

	if (stripos($modSettings['smfVersion'], 'beta') === false && version_compare($modSettings['smfVersion'], "2.1 RC3", ">="))
		add_integration_function('integrate_manage_mail', 'ZhenMailer_manage_mail');
}

?>