<?php
/**
 * Zhen Mailer
 *
 * @package SMF Zhen Mailer v1.3.4
 * @PHP Mailer version 6.03
 * @license https://www.gnu.org/licenses/lgpl.html
 */

if (!defined('SMF'))
	die('<b>Error:</b> Cannot uninstall');

global $modSettings;
$version = version_compare((!empty($modSettings['smfVersion']) ? substr($modSettings['smfVersion'], 0, 3) : '2.0'), '2.1', '<') ? 'v2.0' : 'v2.1';
db_extend('packages');

// Remove hooks
remove_integration_function('integrate_pre_include', '$sourcedir/ZhenMailerHooks.php');
remove_integration_function('integrate_actions', 'ZhenMailer_actions');
remove_integration_function('integrate_admin_areas', 'ZhenMailer_admin_areas');
remove_integration_function('integrate_load_theme', 'ZhenMailer_init');

if ($version === 'v2.1')
{
	remove_integration_function('integrate_createAttachment', 'ZhenMailer_attachments');
	remove_integration_function('integrate_manage_mail', 'ZhenMailer_manage_mail');
}

?>