<?php
// Version: 1.3; ZhenMailer

global $modSettings;

// signature admin template
$txt['admin_edit_ZhenMailer_sig'] = 'Edit Email Signature';
$txt['ZhenMailer_preview'] = 'Preview';
$txt['ZhenMailer_save'] = 'Save';

// ZhenMailer settings template
$txt['ZhenMail_password'] = 'ZipArchive Encryption Password';
$txt['ZhenMail_purge'] = 'Purge All Redundant Archives Now';
$txt['ZhenMail_autopurge'] = 'Auto Purge Relevant Redundant Archives';
$txt['ZhenMail_send'] = 'Email Database Now';
$txt['ZhenMail_fix_double'] = 'Fix Broken UTF8 Entities';
$txt['ZhenMail_enable_encrypt'] = 'Encrypt Database Compression';
$txt['ZhenMailer_attachments'] = 'Copy Attachments To Email';
$txt['ZhenMailer_attachments_encrypt'] = 'Encrypt Emailed Attachments';
$txt['ZhenMailer_cron_job'] = 'Schedule Database Backup';
$txt['ZhenMailer_cron_never'] = 'Disabled';
$txt['ZhenMailer_cron_day'] = 'Daily';
$txt['ZhenMailer_cron_wk'] = 'Weekly';
$txt['ZhenMailer_cron_mth'] = 'Monthly';
$txt['ZhenMailer_log_actions'] = 'Log ZhenMailer Actions';
$txt['ZhenMailer_log_error'] = 'Log ZhenMailer Errors';
$txt['ZhenMailer_cron_job_time'] = 'Time';
$txt['ZhenMailer_cron_job_blowfish'] = 'Blowfish';
$txt['ZhenMailer_cron_job_ajax'] = 'Enable Ajax Request';
$txt['ZhenMail_user_default'] = 'Admin/User ID To Send DB Dumps';

// ZhenMailer settings template messages/alerts
$txt['ZhenMailer_general_msg'] = 'Zhen Mailer is only fully functional using PHP 7.2+ with ZipArchive & cURL extensions';
$txt['ZhenMail_encrypt_pos'] = 'Encryption password has been entered and is in effect';
$txt['ZhenMail_encrypt_neg'] = 'Encryption password has not been detected therefore encrypted archives are currently disabled';
$txt['ZhenMail_encrypt_default'] = 'Encryption password is currently using image_proxy_secret from Settings.php';
$txt['ZhenMail_zipArchive_pos'] = 'ZipArchive Class has been detected therefore encrypted archives are possible';
$txt['ZhenMail_zipArchive_neg'] = 'ZipArchive Class is not installed therefore emailed archives can not be encrypted';
$txt['ZhenMail_phpVer_neg'] = 'PHP 7.2.X including the ZipArchive Class is the minimal requirement to encrypt emailed archives';
$txt['ZhenMail_purge_msg_pos'] = 'All redundant archives have been purged.';
$txt['ZhenMail_purge_msg_neg'] = 'Fail! Some redundant archives could not be purged.';
$txt['ZhenMailer_psswd_neg'] = 'Password confirmation does not match ~ nothing changed';
$txt['ZhenMailer_psswd_pos'] = 'New password has been accepted';
$txt['ZhenMailer_psswd_def'] = 'Password changed to $image_proxy_secret from Settings.php';
$txt['ZhenMailer_attach_msg'] = 'Attachments can be emailed when a user posts them';
$txt['ZhenMailer_cron_msg_pos'] = 'You can schedule ZhenMailer to email automatic database dumps';
$txt['ZhenMailer_cron_msg_neg'] = 'cURL is not enabled therefore scheduled database dumps have been deactivated';
$txt['ZhenMailer_cron_reset'] = 'Scheduled time has been reset';
$txt['ZhenMailer_log_settings'] = 'Zhen Mailer log control';
$txt['ZhenMailer_default_emails'] = 'Email DB dump destinations: %s';
$txt['ZhenMailer_email_pos'] = 'DB dump email destination added.';
$txt['ZhenMailer_email_neg'] = 'Fail! DB dump email destination does not exist.';
$txt['ZhenMailer_email_null'] = 'DB dump email destination set to only webmaster email.';
$txt['ZhenMailer_email_match'] = 'Fail! DB dump email destination already exists as webmaster email.';

// db/attachment copy & email sub-routine
$txt['ZhenMailer_log_action'] = 'ZhenMailer database dump was successful';
$txt['ZhenMailer_log_action_fail'] = 'ZhenMailer database dump failed';
$txt['ZhenMailer_auto_msg'] = 'Automatic Database Backup for %s';
$txt['ZhenMailer_auto_msg_date'] = 'Backup Date: %s';
$txt['ZhenMailer_auto_msg_filename'] = 'File Name: %s';
$txt['ZhenMailer_auto_msg_filenames'] = 'File Names: %s';
$txt['ZhenMailer_encrypt_status'] = 'Encryption Status: [%s] %s';
$txt['ZhenMailer_decrypt_7zip'] = ' ~ Use 7Zip + password to decrypt';
$txt['ZhenMailer_encrypt_status_pos'] = 'Encrypted';
$txt['ZhenMailer_encrypt_status_neg'] = 'Not Encrypted';
$txt['ZhenMailer_auto_attmsg'] = 'Automatic Attachment Backup for %s';
$txt['ZhenMailer_attachment_name'] = 'Member name: %s ~ url: %s';
$txt['ZhenMailer_attachment_attachid'] = 'Attachment link: %s';
$txt['ZhenMailer_attachment_postid'] = 'Topic link: %s';
$txt['ZhenMailer_attachment_security'] = 'All files are compressed for added security.';
$txt['ZhenMailer_attachments_comppos'] = 'This attachment was compressed using ZhenMailer.';
$txt['ZhenMailer_attachments_compneg'] = 'This attachment was already compressed by the poster.';

// titles
$txt['ZhenMailer_sig'] = 'ZhenMailer Signature';
$txt['ZhenMail_settings'] = 'ZhenMailer Settings';
$txt['ZhenMail_file_config'] = 'ZhenMailer File Creation';
$txt['ZhenMail_php_config'] = 'PHP Configuration';

// configuration file creation/deletion
$txt['ZhenMailer_config_iis'] = 'Microsoft IIS';
$txt['ZhenMailer_config_apache'] = 'Apache';
$txt['ZhenMailer_config_other'] = 'Other';
$txt['ZhenMailer_config_option'] = 'Option';
$txt['ZhenMailer_config_exit'] = 'Back';
$txt['ZhenMailer_config_detected'] = '%s has been detected.';
$txt['ZhenMailer_config_file_task'] = '%s file has been %s';
$txt['ZhenMailer_config_file'] = array('created', 'deleted');
$txt['ZhenMailer_config_config'] = 'You should use the %s option, otherwise you can opt to adjust php.ini settings within your server control panel.';
$txt['ZhenMailer_config_remove'] = 'There is an option to remove the file if this somehow causes an issue.';
$txt['ZhenMailer_configure_apache'] = 'The following settings should be adjusted in your php.ini configuration if the .htaccess fails:';
$txt['ZhenMailer_configure_other'] = 'Apache was not detected therefore the following settings should be adjusted in your php.ini configuration:';
$txt['ZhenMailer_config_instruct'] = '%s <br>memory_limit = 256M<br>upload_max_filesize = 32M<br>post_max_size = 24M<br>max_execution_time = 60<br>max_input_time = 90<br>';
$txt['ZhenMailer_config_create'] = array('Apache: Create .htaccess file', 'Microsoft IIS / Other: You must manually edit your php.ini settings', 'Delete: Remove the configuration file located in the %s directory');
$txt['ZhenMailer_config_done'] = 'Maintenance finished!';

// error messages
$txt['ZhenMailer_catch_error'] = 'ZhenMailer error sending emails';
$txt['ZhenMailer_dump_db_error'] = 'Couldn\'t dump database: %s';
$txt['ZhenMailer_dump_db_email_error'] = 'ZhenMailer error sending db dump emails';
$txt['ZhenMailer_catch_class_error'] = 'Unable to send Email: ZhenMailer Class Error';
$txt['ZhenMailer_admin_error'] = 'You are not permitted to access ZhenMailer Admin!';
$txt['ZhenMailer_move_error'] = 'Zhenmailer error - Unable to move uploaded file to the temp directory';
$txt['ZhenMailer_moveatt_error'] = 'Zhenmailer error - Unable to move temp file to the attachment directory';
$txt['ZhenMailer_cron_error'] = 'Zhenmailer error - Unable to verify scheduled cipher';

// change default $txt values
$txt['regards_team'] = !empty($modSettings['smtp_signature']) ? str_ireplace(array('<br/>', '<br>', '<br />'), "\n", ltrim($modSettings['smtp_signature'])) : $txt['regards_team'];
?>